Extend Validity

This API is used to extend the validity of E-Way bill. The details and parameters of the requests and responses are explained.

Validations

  • To distinguish between the goods either on Road or in transit, new parameter transitType ( R- Road, W - Warehouse, O-Others) are introduced for Extend E-waybill API.
  • If transmode is 1 to 4 then consignmentStatus value should be M and transitType should be blank ("transitType":"").
  • If transmode is 5 then consignmentStatus value should be T and transitType value can be either R or W or O.
  • The Validity of EWB can be extended only by the current transporter. If transporter is not assigned, then the generator can update.
  • The validity of EWB can be extended between 8 hours before expiry time and 8 hours after expiry time.
  • The reason code along with reason description for the extension has to be entered.
  • The present location of the consignment, at the time of requesting for the extension, has to be entered and distance to travel from there to destination has to be entered.
  • If vehicle number is passed, the format of the vehicle number should be valid and as per the format
  • In case of road as a transportation mode , the vehicle number should be passed and transport document number is optional.
  • In case of rail, air or ship as a transportation mode, the transport document number is must.
  • Remaining distance should not be more than the actual distance mentioned during the generation of E-way bill.

Important Links

Run in Postman

Body Params

JSON corresponding to the "Data" element below

{
  "ewbNo": 161000843009,
  "vehicleNo": "PQR1234",
  "fromPlace":"Bengaluru",
  "fromState":"29",
  "remainingDistance":50,
  "transDocNo": "1234",
  "transDocDate":"12/10/2017",
  "transMode":"5",
  "extnRsnCode":1,
  "extnRemarks":"Flood",
  "fromPincode":560090,
  "consignmentStatus":"T",
  "transitType":"R",
  "addressLine1":"Bengaluru",
  "addressLine2":"Bengaluru",
  "addressLine3":"Bengaluru"
}
string
required

Action type

string
required

Encrypted Extend Validity JSON string - Encrypt (Base64(Request JSON),sek)

Headers
string
required

GSTIN of Requester (Tax payer or Transporter)

string
required

Username of Tax payer

string
required

Authentication token returned by the E-way bill system

Responses

405

Method not allowed

500

Internal Server Error

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json